Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject
Class InternalContext

    java.lang.Object
      com.opensymphony.xwork2.inject.InternalContext

     class InternalContext

extends Object

Internal context. Used to coordinate injections and support circular dependencies.

Author:
  crazybob@google.com (Bob Lee)

Field Summary
`(package private) Map<Object,ConstructionContext<?>>` | `constructionContexts`
`(package private) ContainerImpl` | `container`
`(package private) ExternalContext<?>` | `externalContext`
`(package private) Scope.Strategy` | `scopeStrategy`

Constructor Summary
`InternalContext(ContainerImpl container)`

Method Summary
`(package private)
`<T> ConstructionContext<T>`
` | `getConstructionContext(Object key)`
`Container` | `getContainer()`
`(package private) ContainerImpl` | `getContainerImpl()`
`(package private)
`<T> ExternalContext<T>`
` | `getExternalContext()`
`(package private) Scope.Strategy` | `getScopeStrategy()`
`(package private) void` | `setExternalContext(ExternalContext<?> externalContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    final ContainerImpl container

### constructionContexts

    final Map<Object,ConstructionContext<?>> constructionContexts

### scopeStrategy

    Scope.Strategy scopeStrategy

### externalContext

    ExternalContext<?> externalContext

Constructor Detail

### InternalContext

    InternalContext(ContainerImpl container)

Method Detail

### getContainer

    public Container getContainer()

### getContainerImpl

    ContainerImpl getContainerImpl()

### getScopeStrategy

    Scope.Strategy getScopeStrategy()

### getConstructionContext

    <T> ConstructionContext<T> getConstructionContext(Object key)

### getExternalContext

    <T> ExternalContext<T> getExternalContext()

### setExternalContext

    void setExternalContext(ExternalContext<?> externalContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.